Package org.talend.transform.runtime.api

# Class MapPathHelper

java.lang.Object
org.talend.transform.runtime.api.MapPathHelper

public class MapPathHelper extends Object

## Constructor Summary

Constructors
Constructor
Description
`MapPathHelper(String projectName, String relativeMapPath)`
`MapPathHelper(String workspace, String projectName, String relativeMapPath)`
Deprecated.
`MapPathHelper(String mapPath, String workspace, String projectName, String relativeMapPath)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`String`
`getMap()`
`String`
`getProjectName()`
`String`
`getRelativeMapPath()`
`String`
`getWorkspace()`
Deprecated.
`boolean`
`isValidMapPath()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MapPathHelper

public MapPathHelper(String projectName, String relativeMapPath)

### MapPathHelper

@Deprecated public MapPathHelper(String workspace, String projectName, String relativeMapPath)
Deprecated.

### MapPathHelper

@Deprecated public MapPathHelper(String mapPath, String workspace, String projectName, String relativeMapPath)
Deprecated.

## Method Details

### getWorkspace

@Deprecated public String getWorkspace()
Deprecated.

### getProjectName

public String getProjectName()

### getRelativeMapPath

public String getRelativeMapPath()

### getMap

public String getMap()

### isValidMapPath

@Deprecated public boolean isValidMapPath()
Deprecated.